package com.lerx.dao.iface;

import java.util.List;

import com.lerx.entities.TempletAlbgenreMain;
import com.lerx.hql.entities.Rs;

public interface ITempletAlbgenreMainDao {
	
	public long add(TempletAlbgenreMain templet);
	public boolean delByID(long id);
	public void modify(TempletAlbgenreMain templet);
	public TempletAlbgenreMain findByID(long id);
	public TempletAlbgenreMain findByUuid(String uuid);
	public List<TempletAlbgenreMain> findByTitle(String title,long exceptID);
	public Rs query(int page,int pagesize);
	public Rs queryByAllow(int page,int pagesize);
	public List<TempletAlbgenreMain> queryAll();
	public void setDef(long id);
	public TempletAlbgenreMain findDef();
	public boolean isUsedByID(long id);

}
